#include <EEPROM.h>


#define PIN_TRIG 12
#define PIN_ECHO 11
long duration, cm;

long yltro(){
  digitalWrite(PIN_TRIG, LOW);
  delayMicroseconds(5);
  digitalWrite(PIN_TRIG, HIGH);

  delayMicroseconds(10);
  digitalWrite(PIN_TRIG, LOW);

  duration = pulseIn(PIN_ECHO, HIGH);
  cm = (duration / 2) / 29.1;
  Serial.print("Расстояние до объекта: ");
  Serial.print(cm);
  Serial.println(" см.");
  return cm;
}

int R(){
  while (true){
    long s = yltro();
    if (s > 50){
      digitalWrite(4, 0);
      digitalWrite(5, 1);
      analogWrite(10, 200);
      digitalWrite(3, 0);
      digitalWrite(6, 1);
      analogWrite(9, 200);
    }
    else{
      digitalWrite(4, 1);
      digitalWrite(5, 0);
      analogWrite(10, 255);
      digitalWrite(3, 0);
      digitalWrite(6, 1);
      analogWrite(9, 255);
    }
}
}

int L(){
  while (true){
    long s = yltro();
    if (s > 50){
      digitalWrite(3, 1);
      digitalWrite(6, 0);
      analogWrite(9, 200);
      digitalWrite(4, 1);
      digitalWrite(5, 0);
      analogWrite(10, 200);
    }
    else{
      digitalWrite(4, 1);
      digitalWrite(5, 0);
      analogWrite(10, 255);
      digitalWrite(3, 0);
      digitalWrite(6, 1);
      analogWrite(9, 255);
    }
}
}

void setup() {
  Serial.begin (9600);
  pinMode(PIN_TRIG, OUTPUT);
  pinMode(PIN_ECHO, INPUT);
  pinMode(3, OUTPUT);
  pinMode(4, OUTPUT);
  pinMode(5, OUTPUT);
  pinMode(6, OUTPUT);
  pinMode(9, OUTPUT);
  pinMode(10, OUTPUT);

  Serial.println("####################");
  Serial.println(EEPROM.read(0));
  Serial.println(EEPROM.read(1));
  
  if (EEPROM.read(0) == 1){
    EEPROM.write(0, 0);
    EEPROM.write(1, 0);

    digitalWrite(3, 0);
    digitalWrite(6, 1);
    analogWrite(9, 200);
    digitalWrite(4, 0);
    digitalWrite(5, 1);
    analogWrite(10, 0);
    delay(1000);
    analogWrite(9, 0);
    
    int time_ = millis();
    
    while (millis() - time_ <= 3000);

    EEPROM.write(1, 1);

    digitalWrite(3, 0);
    digitalWrite(6, 1);
    analogWrite(9, 0);
    digitalWrite(4, 0);
    digitalWrite(5, 1);
    analogWrite(10, 200);
    delay(1000);
    analogWrite(10, 0);
    
    while(true);
  }
  else{
    EEPROM.write(0, 1);
  }
  delay(3520);
}

void loop() {
  if (EEPROM.read(1) == 0){
    R();
  }
  else{
    L();
  }
}
